#-- start of make_header -----------------

#====================================
#  Document make
#
#   Generated Wed Jun 13 17:45:48 2012  by bcouturi
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_make_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_make_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_make

LHCbExternalsSys_tag = $(tag)

#cmt_local_tagfile_make = $(LHCbExternalsSys_tag)_make.make
cmt_local_tagfile_make = $(bin)$(LHCbExternalsSys_tag)_make.make

else

tags      = $(tag),$(CMTEXTRATAGS)

LHCbExternalsSys_tag = $(tag)

#cmt_local_tagfile_make = $(LHCbExternalsSys_tag).make
cmt_local_tagfile_make = $(bin)$(LHCbExternalsSys_tag).make

endif

include $(cmt_local_tagfile_make)
#-include $(cmt_local_tagfile_make)

ifdef cmt_make_has_target_tag

cmt_final_setup_make = $(bin)setup_make.make
#cmt_final_setup_make = $(bin)LHCbExternalsSys_makesetup.make
cmt_local_make_makefile = $(bin)make.make

else

cmt_final_setup_make = $(bin)setup.make
#cmt_final_setup_make = $(bin)LHCbExternalsSyssetup.make
cmt_local_make_makefile = $(bin)make.make

endif

cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)LHCbExternalsSyssetup.make

#make :: ;

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	$(echo) 'make'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = make/
#make::
#	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of make_header ------------------
#-- start of cmt_action_runner_header ---------------

ifdef ONCE
make_once = 1
endif

ifdef make_once

makeactionstamp = $(bin)make.actionstamp
#makeactionstamp = make.actionstamp

make :: $(makeactionstamp)
	$(echo) "make ok"
#	@echo make ok

$(makeactionstamp) :: $(make_dependencies)
	$(silent) gmake bin=../x86_64-slc5-gcc43-opt/ 
	$(silent) cat /dev/null > $(makeactionstamp)
#	@echo ok > $(makeactionstamp)

makeclean ::
	$(cleanup_silent) /bin/rm -f $(makeactionstamp)

else

make :: $(make_dependencies)
	$(silent) gmake bin=../x86_64-slc5-gcc43-opt/ 

endif

install ::
uninstall ::

#-- end of cmt_action_runner_header -----------------
#-- start of cleanup_header --------------

clean :: makeclean ;
#	@cd .

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(make.make) $@: No rule for such target" >&2
#	@echo "#CMT> Warning: $@: No rule for such target" >&2; exit
	if echo $@ | grep '$(package)setup\.make$$' >/dev/null; then\
	 echo "$(CMTMSGPREFIX)" "(make.make): $@: File no longer generated" >&2; exit 0; fi
else
.DEFAULT::
	$(echo) "(make.make) PEDANTIC: $@: No rule for such target" >&2
	if echo $@ | grep '$(package)setup\.make$$' >/dev/null; then\
	 echo "$(CMTMSGPREFIX)" "(make.make): $@: File no longer generated" >&2; exit 0;\
	 elif test $@ = "$(cmt_final_setup)" -o\
	 $@ = "$(cmt_final_setup_make)" ; then\
	 found=n; for s in 1 2 3 4 5; do\
	 sleep $$s; test ! -f $@ || { found=y; break; }\
	 done; if test $$found = n; then\
	 test -z "$(cmtmsg)" ||\
	 echo "$(CMTMSGPREFIX)" "(make.make) PEDANTIC: $@: Seems to be missing. Ignore it for now" >&2; exit 0 ; fi;\
	 elif test `expr $@ : '.*/'` -ne 0 ; then\
	 test -z "$(cmtmsg)" ||\
	 echo "$(CMTMSGPREFIX)" "(make.make) PEDANTIC: $@: Seems to be a missing file. Please check" >&2; exit 2 ; \
	 else\
	 test -z "$(cmtmsg)" ||\
	 echo "$(CMTMSGPREFIX)" "(make.make) PEDANTIC: $@: Seems to be a fake target due to some pattern. Just ignore it" >&2 ; exit 0; fi
endif

makeclean ::
#-- end of cleanup_header ---------------
